Bug 600361 - Review Request: gobi_loader - Firmware loader for Qualcomm Gobi WWAN devices
Review Request: gobi_loader - Firmware loader for Qualcomm Gobi WWAN devices
Status: CLOSED DUPLICATE of bug 736163
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Felix Kaechele
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FE-DEADREVIEW
  Show dependency treegraph
 
Reported: 2010-06-04 10:52 EDT by Matthew Garrett
Modified: 2013-01-10 02:50 EST (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-04-24 14:01:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matthew Garrett 2010-06-04 10:52:05 EDT
Spec URL: http://www.codon.org.uk/~mjg59/tmp/gobi/gobi_loader.spec
SRPM URL: http://www.codon.org.uk/~mjg59/tmp/gobi/gobi_loader-0.6-1.src.rpm
Description: gobi_loader is a firmware loader for Qualcomm Gobi USB chipsets. These
devices appear in an uninitialized state when power is applied and require
firmware to be loaded before they can be used as modems. gobi_loader adds
a udev rule that will trigger loading of the firmware and make the modem
usable.
Comment 1 Felix Kaechele 2010-08-02 04:11:06 EDT
I'll start the review if you update the spec and srpm to the latest upstream version.
Comment 2 Matthew Garrett 2010-08-02 09:49:12 EDT
Updated at http://www.codon.org.uk/~mjg59/tmp/gobi/
Comment 3 Felix Kaechele 2010-08-07 16:28:11 EDT
Okay. Here we go with a few notes:

- Why do you define name, version and release seperately?
It's pretty redundant, since you can use exactly those macros you %define to get the values you define in the Name, Version, and Release tags

- The BuildRoot tag is wrong. If you're not planning to build for EPEL, remove it. Otherwise refer to http://fedoraproject.org/wiki/EPEL/GuidelinesAndPolicies#BuildRoot_tag

- What's the "Prefix" doing in there? Thats very Red Hat 7.3-ish ;)

- How is the note in %build relevant to the build process? (i.e. what is it refering to?)

- The Makfile of gobi_loader could use some tweaking:
  1. You pass the $RPM_OPT_FLAGS to the make command, the Makefile however doesn't use them in any way.
  2. You are using the %makeinstall macro. This is discouraged by Fedora. While you're at fixing the Makefile, refer to http://fedoraproject.org/wiki/Packaging/Guidelines#MakeInstall for more info on that.

rpmlint doesn't show anything suspicious, so that is fine.

For the future you might want to look at using rpmdev-newspec to create new specfiles from an up-to-date template and rpmdev-bumpspec for making the changelog entries. Those commands are provided by the rpmdevtools package.
Comment 4 Felix Kaechele 2010-09-18 05:04:30 EDT
ping?
Comment 5 Sergei LITVINENKO 2010-10-21 01:05:28 EDT
It work, thanks
http://www.codon.org.uk/~mjg59/tmp/gobi/gobi_loader-0.7-1.src.rpm

EliteBook 2540p (WK304EA)

[sergeil@ua-dudn00000 ~]$ cat /etc/issue
Fedora release 14 (Laughlin)
Kernel \r on an \m (\l)

[sergeil@ua-dudn00000 ~]$ uname -r
2.6.35.6-45.fc14.i686.PAE

[sergeil@ua-dudn00000 ~]$ lsusb
Bus 002 Device 002: ID 8087:0020 Intel Corp. Integrated Rate Matching Hub
Bus 002 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 001 Device 007: ID 03f0:251d Hewlett-Packard Gobi 2000 Wireless Modem
Bus 001 Device 006: ID 04f2:b163 Chicony Electronics Co., Ltd 
Bus 001 Device 005: ID 138a:0007 DigitalPersona, Inc Fingeprint Reader
Bus 001 Device 003: ID 03f0:231d Hewlett-Packard 
Bus 001 Device 002: ID 8087:0020 Intel Corp. Integrated Rate Matching Hub
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub

PS: How quick rpm will be in standard repository or rpmfusion?
Comment 6 Bernie Innocenti 2010-10-28 21:41:53 EDT
> It work, thanks
> http://www.codon.org.uk/~mjg59/tmp/gobi/gobi_loader-0.7-1.src.rpm

I tested this package on my system. Works for me.


> PS: How quick rpm will be in standard repository or rpmfusion?

Have the reviewer's comments been addressed in this new package? If not, you should fix the issues and resubmit a new package. Otherwise, the original reviewer (or any other fedora packager) should approve by toggling the fedora‑review flag to +.
Comment 7 Bojan Smojver 2011-09-06 06:55:26 EDT
Does anyone know what's going on with this package? It would be really useful to have as part of Fedora. Saves rebuilding etc.
Comment 8 Felix Kaechele 2011-09-06 09:51:27 EDT
Either Matthew isn't interested in this review or he just doesn't have the time to do the review/maintenance anymore.

If you are interested in maintaining this package (provided you are a sponsored Fedora packager) you can open a new review request and mark this one as a duplicate of your new request.
Comment 9 Bojan Smojver 2011-09-06 10:34:42 EDT
(In reply to comment #8)
> Either Matthew isn't interested in this review or he just doesn't have the time
> to do the review/maintenance anymore.
> 
> If you are interested in maintaining this package (provided you are a sponsored
> Fedora packager) you can open a new review request and mark this one as a
> duplicate of your new request.

Sure, why not. I have the card in my laptop and the package is pretty much handed on a plate to me. Nothing better than taking credit for some else's hard work ;-)
Comment 10 Matthew Garrett 2011-09-06 10:42:16 EDT
Feel free - my Gobi machine died, so I'm not in so great a position to do much with it now.
Comment 11 Bojan Smojver 2011-09-06 17:17:33 EDT

*** This bug has been marked as a duplicate of bug 736163 ***
Comment 12 Bernie Innocenti 2011-09-08 00:56:10 EDT
(In reply to comment #10)
> Feel free - my Gobi machine died, so I'm not in so great a position to do much
> with it now.

As for me, my gobi usb device responds to commands, but I've never been able to get a CONNECT string with any of the firmware variants I tried.

Does someone know how to query for things such as SIM presence, signal strength and carrier? Can a gobi device be hardware-locked to a particular telco?
Comment 13 Bojan Smojver 2011-09-08 01:16:35 EDT
(In reply to comment #12)
 
> As for me, my gobi usb device responds to commands, but I've never been able to
> get a CONNECT string with any of the firmware variants I tried.
> 
> Does someone know how to query for things such as SIM presence, signal strength
> and carrier?

Google: "at command set in gobi". You should get a PDF that probably has that sort of thing.

> Can a gobi device be hardware-locked to a particular telco?

Product sheet claims that one device works with multiple carriers. See bottom of:

http://www.thinkwiki.org/wiki/Qualcomm_Gobi_2000

Note You need to log in before you can comment on or make changes to this bug.